# Uses of Class
jdk.management.jfr.EventTypeInfo

Packages that use EventTypeInfo
Package
Description
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of EventTypeInfo in jdk.management.jfr

Methods in jdk.management.jfr that return EventTypeInfo
Modifier and Type
Method
Description
`static EventTypeInfo`
EventTypeInfo.`from(CompositeData cd)`
Returns an `EventType` represented by the specified `CompositeData`
Methods in jdk.management.jfr that return types with arguments of type EventTypeInfo
Modifier and Type
Method
Description
`List<EventTypeInfo>`
FlightRecorderMXBean.`getEventTypes()`
Returns the list of currently registered event types.